curl --request GET \
--url https://api.spacebring.com/shop/orders/v1 \
--header 'Authorization: Basic <encoded-value>'{
"orders": [
{
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product": {
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"title": "<string>",
"option": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
},
"quantity": 0,
"altCurrencyPriceDetails": {
"money": {
"currencyCode": "<string>",
"unitAmount": 123,
"tax": {
"inclusive": true,
"rate": 123
}
},
"type": "money"
},
"priceDetails": {
"credits": {
"unitAmount": 123
},
"money": {
"currencyCode": "<string>",
"unitAmount": 123,
"tax": {
"inclusive": true,
"rate": 123
}
}
}
}
],
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"comment": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefDeletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment": {
"discounts": [
{
"coupon": {
"amountOff": 123,
"currencyCode": "<string>",
"id": "<string>",
"percentOff": 123,
"productTypes": [
"<string>"
],
"type": "<string>"
},
"promocode": {
"code": "<string>",
"id": "<string>",
"expiration": {
"enabled": true,
"date": "<string>"
},
"limitByFirstPurchase": true
},
"subscriptionId": "<string>"
}
],
"method": {
"credits": {
"customer": {
"id": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
}
},
"invoice": {
"customer": {
"id": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
},
"invoiceRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"paymentGateway": {
"customer": {
"id": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
},
"label": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"mask": "<string>",
"title": "<string>"
}
},
"price": {
"credits": {
"expiringAmount": 123,
"permanentAmount": 123
},
"money": {
"currencyCode": "<string>",
"grossAmount": 123
}
},
"refundable": true,
"createDate": "2023-11-07T05:31:56Z",
"dispute": {
"createDate": "2023-11-07T05:31:56Z"
},
"refund": {
"credits": {
"amountExpiring": 123,
"amountPermanent": 123,
"amountTotal": 123,
"createDate": "2023-11-07T05:31:56Z"
},
"money": {
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"grossAmount": 123
},
"transactionRef": "<string>"
},
"refunds": {
"credits": [
{
"amountExpiring": 123,
"amountPermanent": 123,
"amountTotal": 123,
"createDate": "2023-11-07T05:31:56Z",
"id": "<string>"
}
],
"money": [
{
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"grossAmount": 123,
"id": "<string>"
}
]
},
"request": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
},
"status": "<string>",
"surcharge": {
"money": {
"amount": 123,
"currencyCode": "<string>",
"percentage": 123,
"rate": 123
},
"type": "money"
},
"transactionRef": "<string>",
"type": "<string>"
},
"userDeletedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"surname": "<string>"
}
}
],
"nextPageToken": "<string>",
"searchQueryNext": "<string>"
}Retrieve orders
Retrieve all orders of products from shop.
OAuth
Required scopes:shop.readonly or shopcurl --request GET \
--url https://api.spacebring.com/shop/orders/v1 \
--header 'Authorization: Basic <encoded-value>'{
"orders": [
{
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product": {
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"title": "<string>",
"option": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
},
"quantity": 0,
"altCurrencyPriceDetails": {
"money": {
"currencyCode": "<string>",
"unitAmount": 123,
"tax": {
"inclusive": true,
"rate": 123
}
},
"type": "money"
},
"priceDetails": {
"credits": {
"unitAmount": 123
},
"money": {
"currencyCode": "<string>",
"unitAmount": 123,
"tax": {
"inclusive": true,
"rate": 123
}
}
}
}
],
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"comment": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefDeletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment": {
"discounts": [
{
"coupon": {
"amountOff": 123,
"currencyCode": "<string>",
"id": "<string>",
"percentOff": 123,
"productTypes": [
"<string>"
],
"type": "<string>"
},
"promocode": {
"code": "<string>",
"id": "<string>",
"expiration": {
"enabled": true,
"date": "<string>"
},
"limitByFirstPurchase": true
},
"subscriptionId": "<string>"
}
],
"method": {
"credits": {
"customer": {
"id": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
}
},
"invoice": {
"customer": {
"id": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
},
"invoiceRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"paymentGateway": {
"customer": {
"id": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
},
"label": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"mask": "<string>",
"title": "<string>"
}
},
"price": {
"credits": {
"expiringAmount": 123,
"permanentAmount": 123
},
"money": {
"currencyCode": "<string>",
"grossAmount": 123
}
},
"refundable": true,
"createDate": "2023-11-07T05:31:56Z",
"dispute": {
"createDate": "2023-11-07T05:31:56Z"
},
"refund": {
"credits": {
"amountExpiring": 123,
"amountPermanent": 123,
"amountTotal": 123,
"createDate": "2023-11-07T05:31:56Z"
},
"money": {
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"grossAmount": 123
},
"transactionRef": "<string>"
},
"refunds": {
"credits": [
{
"amountExpiring": 123,
"amountPermanent": 123,
"amountTotal": 123,
"createDate": "2023-11-07T05:31:56Z",
"id": "<string>"
}
],
"money": [
{
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"grossAmount": 123,
"id": "<string>"
}
]
},
"request": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
},
"status": "<string>",
"surcharge": {
"money": {
"amount": 123,
"currencyCode": "<string>",
"percentage": 123,
"rate": 123
},
"type": "money"
},
"transactionRef": "<string>",
"type": "<string>"
},
"userDeletedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"surname": "<string>"
}
}
],
"nextPageToken": "<string>",
"searchQueryNext": "<string>"
}Authorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
The id of the location.
The status of the order.
new, inProgress, completed, canceled The date filter of items.
Show child attributes
Show child attributes
The number of items to return
1 <= x <= 100Token to retrieve the next page of results.
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
Response
OK
Show child attributes
Show child attributes
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
Pre-built query string for the next page of results. Contains all active filter parameters combined with the next page token, ready to append to the endpoint URL.
Was this page helpful?